# Uses of Class
org.apache.zookeeper.server.quorum.SyncedLearnerTracker

Packages that use SyncedLearnerTracker
Package
Description
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.quorum.flexible

## Uses of SyncedLearnerTracker in org.apache.zookeeper.server.quorum

Subclasses of SyncedLearnerTracker in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`static class`
`Leader.Proposal`
`static class`
`Leader.PureRequestProposal`
Methods in org.apache.zookeeper.server.quorum that return SyncedLearnerTracker
Modifier and Type
Method
Description
`protected SyncedLearnerTracker`
FastLeaderElection.`getVoteTracker(Map<Long,Vote> votes, Vote vote)`
Given a set of votes, return the SyncedLearnerTracker which is used to determines if have sufficient to declare the end of the election round.
Methods in org.apache.zookeeper.server.quorum with parameters of type SyncedLearnerTracker
Modifier and Type
Method
Description
`void`
Leader.`setLeadingVoteSet(SyncedLearnerTracker voteSet)`

## Uses of SyncedLearnerTracker in org.apache.zookeeper.server.quorum.flexible

Methods in org.apache.zookeeper.server.quorum.flexible with parameters of type SyncedLearnerTracker
Modifier and Type
Method
Description
`boolean`
QuorumOracleMaj.`revalidateVoteset(SyncedLearnerTracker voteSet, boolean timeout)`
`default boolean`
QuorumVerifier.`revalidateVoteset(SyncedLearnerTracker voteSet, boolean timeout)`